[openssh-commits] [openssh] 08/09: upstream: test transfers in mux proxy mode too
git+noreply at mindrot.org
git+noreply at mindrot.org
Thu Aug 15 12:21:08 AEST 2024
This is an automated email from the git hooks/post-receive script.
djm pushed a commit to branch master
in repository openssh.
commit 63a94f99b9d7c8a48182a40192e45879d1ba8791
Author: djm at openbsd.org <djm at openbsd.org>
AuthorDate: Fri Jul 19 04:33:36 2024 +0000
upstream: test transfers in mux proxy mode too
OpenBSD-Regress-ID: 2edfc980628cfef3550649cab8d69fa23b5cd6c4
---
regress/multiplex.sh | 27 ++++++++++++++-------------
1 file changed, 14 insertions(+), 13 deletions(-)
diff --git a/regress/multiplex.sh b/regress/multiplex.sh
index b992cd41..8274b9d5 100644
--- a/regress/multiplex.sh
+++ b/regress/multiplex.sh
@@ -1,4 +1,4 @@
-# $OpenBSD: multiplex.sh,v 1.36 2023/03/01 09:29:32 dtucker Exp $
+# $OpenBSD: multiplex.sh,v 1.37 2024/07/19 04:33:36 djm Exp $
# Placed in the Public Domain.
make_tmpdir
@@ -56,19 +56,20 @@ if [ $? -ne 0 ]; then
fail "environment not found"
fi
+for mode in "" "-Oproxy"; do
+ verbose "test $tid: transfer $mode"
+ rm -f ${COPY}
+ trace "ssh transfer over $mode multiplexed connection and check result"
+ ${SSH} $mode -F $OBJ/ssh_config -S$CTL otherhost cat ${DATA} > ${COPY}
+ test -f ${COPY} || fail "ssh -Sctl: failed copy ${DATA}"
+ cmp ${DATA} ${COPY} || fail "ssh -Sctl: corrupted copy of ${DATA}"
-verbose "test $tid: transfer"
-rm -f ${COPY}
-trace "ssh transfer over multiplexed connection and check result"
-${SSH} -F $OBJ/ssh_config -S$CTL otherhost cat ${DATA} > ${COPY}
-test -f ${COPY} || fail "ssh -Sctl: failed copy ${DATA}"
-cmp ${DATA} ${COPY} || fail "ssh -Sctl: corrupted copy of ${DATA}"
-
-rm -f ${COPY}
-trace "ssh transfer over multiplexed connection and check result"
-${SSH} -F $OBJ/ssh_config -S $CTL otherhost cat ${DATA} > ${COPY}
-test -f ${COPY} || fail "ssh -S ctl: failed copy ${DATA}"
-cmp ${DATA} ${COPY} || fail "ssh -S ctl: corrupted copy of ${DATA}"
+ rm -f ${COPY}
+ trace "ssh transfer over $mode multiplexed connection and check result"
+ ${SSH} $mode -F $OBJ/ssh_config -S $CTL otherhost cat ${DATA} > ${COPY}
+ test -f ${COPY} || fail "ssh -S ctl: failed copy ${DATA}"
+ cmp ${DATA} ${COPY} || fail "ssh -S ctl: corrupted copy of ${DATA}"
+done
rm -f ${COPY}
trace "sftp transfer over multiplexed connection and check result"
--
To stop receiving notification emails like this one, please contact
djm at mindrot.org.
More information about the openssh-commits
mailing list